dab_sum_elements_vff.h File Reference
`#include <gr_sync_block.h>`
Include dependency graph for dab_sum_elements_vff.h:

Go to the source code of this file.

## Classes

class | dab_sum_elements_vff
| Sum up all elements of a vector. More...

## Functions

dab_sum_elements_vff_sptr | dab_make_sum_elements_vff (unsigned int length)
| Return a shared_ptr to a new instance of dab_sum_elements_vff.

## Function Documentation

## dab_make_sum_elements_vff()

dab_sum_elements_vff_sptr dab_make_sum_elements_vff | ( | unsigned int | length | ) |

Return a shared_ptr to a new instance of dab_sum_elements_vff.

To avoid accidental use of raw pointers, dab_sum_elements_vff's constructor is private. dab_make_sum_elements_vff is the public interface for creating new instances.